Software Package: SCL devtoolset-6 download errors

Issues related to applications and software problems
Post Reply
Himu.R
Posts: 2
Joined: 2019/09/16 23:07:20

Software Package: SCL devtoolset-6 download errors

Post by Himu.R » 2019/09/17 20:34:53

Almost half of the dependency packages are giving [Errno: 256] No more mirror to try. (Other half packages are downloaded).
Then,
Cleaned the cache.
Tried to download from centos.
The same problem, repeats.

User avatar
avij
Retired Moderator
Posts: 3039
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: Software Package: SCL devtoolset-6 download errors

Post by avij » 2019/09/17 20:44:30

devtoolset-6 is deprecated. Maybe you should try -7 or -8.

http://mirror.centos.org/centos/7.7.190 ... x86_64/rh/

Himu.R
Posts: 2
Joined: 2019/09/16 23:07:20

Re: Software Package: SCL devtoolset-6 download errors

Post by Himu.R » 2019/09/17 21:24:18

Thank you, avij.

fat-lobyte
Posts: 2
Joined: 2017/12/11 10:47:06

Re: Software Package: SCL devtoolset-6 download errors

Post by fat-lobyte » 2019/09/20 11:20:09

avij wrote:
2019/09/17 20:44:30
devtoolset-6 is deprecated. Maybe you should try -7 or -8.
I need devtoolset-6 specifically, because I need GCC 6 specifically, due to dependency reasons. If I could upgrade, I would. Please don't just deprecate things that people use.

As a workaround, this is how you can install it:

Code: Select all

sudo yum install --enablerepo=centos-sclo-rh-testing --disablerepo=centos-sclo-rh devtoolset-6

User avatar
TrevorH
Forum Moderator
Posts: 27127
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Software Package: SCL devtoolset-6 download errors

Post by TrevorH » 2019/09/20 11:54:44

SCL packages do not and never have had the same lifespan as normal packages from the distro itself. The distro and its packages are supported for 10 years from initial release but SCLs are supported for 3 years, sometimes less. We don't "just deprecate things that people use", we deprecate things that are out of support and potentially dangerous (due to lack of maintenance).

https://access.redhat.com/support/policy/updates/rhscl
These fast-moving collections are expected to be updated frequently and will have a shorter life cycle and support term than Red Hat Enterprise Linux.
and
Each Software Collection will be supported for two or three years. Developer Collections are supported for 2 years. Production Collections are supported for 3 years.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
CentOS 5 has been EOL for nearly 3 years and should no longer be used for anything!
Full time Geek, part time moderator. Use the FAQ Luke

Mike_Rochefort
Posts: 155
Joined: 2016/03/16 02:34:19

Re: Software Package: SCL devtoolset-6 download errors

Post by Mike_Rochefort » 2019/09/20 15:28:39

fat-lobyte wrote:
2019/09/20 11:20:09

I need devtoolset-6 specifically, because I need GCC 6 specifically, due to dependency reasons. If I could upgrade, I would. Please don't just deprecate things that people use.
By any chance are you in the CG community? We had a discussion on this the other day on the VFX Platform mailing list (as we currently have the platform specified to use DTS 6.1).

https://groups.google.com/forum/m/#!top ... -_CPw1fD3c

Cheers,
Mike

xkszltl
Posts: 1
Joined: 2019/09/20 23:22:32

Re: Software Package: SCL devtoolset-6 download errors

Post by xkszltl » 2019/09/20 23:31:17

I wonder why the metadata is still there if old dts has been removed.
I'm getting 404 after upgrading to CentOS 7.7.
Since I don't have hard dependency on DTS 6, I can remove that.
However, there's another issue that I don't have good solution for:
There's a libasan 4.9.2 in scl, which is 404 now but due to the version it shadows 4.8.5 from the base.
Priority won't work as I also need some rpms with higher version than base in scl.

Can we remove those 404 packages from the list completely?

User avatar
jlehtone
Posts: 2431
Joined: 2007/12/11 08:17:33
Location: Finland

Re: Software Package: SCL devtoolset-6 download errors

Post by jlehtone » 2019/09/21 20:28:44

You can remind the maintainers of repo metadata about the incomplete cleanup.

In the meantime you can --exclude=libasan-4.9.2\*

User avatar
TrevorH
Forum Moderator
Posts: 27127
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Software Package: SCL devtoolset-6 download errors

Post by TrevorH » 2019/09/21 20:35:57

The repodata issue has been reported and is allegedly being or has already been fixed.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
CentOS 5 has been EOL for nearly 3 years and should no longer be used for anything!
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply

Return to “CentOS 7 - Software Support”